## org.exist.soap
Class Session

    java.lang.Object
      org.exist.soap.Session

All Implemented Interfaces:
  java.io.Serializable

public class Session
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` `Session.QueryResult`

Constructor Summary
`Session(User user)`

Method Summary
`void` `addQueryResult(Sequence value)`
`long` `getLastAccessTime()`
`Session.QueryResult` `getQueryResult()`
`User` `getUser()`
`void` `updateLastAccessTime()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Session

    public Session(User user)

Method Detail

### getUser

    public User getUser()

### addQueryResult

    public void addQueryResult(Sequence value)

### getQueryResult

    public Session.QueryResult getQueryResult()

### getLastAccessTime

    public long getLastAccessTime()

### updateLastAccessTime

    public void updateLastAccessTime()

Copyright (C) Wolfgang Meier. All rights reserved.